Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.alteration
Class ColumnSizeChange

    java.lang.Object
      org.apache.ddlutils.alteration.TableChangeImplBase
          org.apache.ddlutils.alteration.ColumnSizeChange

All Implemented Interfaces:
  ColumnChange, ModelChange, TableChange

    public class ColumnSizeChange

extends TableChangeImplBase
implements ColumnChange

Represents the change of the size or scale of a column.

Version:
  $Revision: $

Constructor Summary
`ColumnSizeChange(Table table, Column column, int newSize, int newScale)` Creates a new change object.

Method Summary
`void` | `apply(Database database, boolean caseSensitive)` Applies this change to the given database.
`Column` | `getChangedColumn()` Returns the column.
`int` | `getNewScale()` Returns the new scale of the column.
`int` | `getNewSize()` Returns the new size of the column.

Methods inherited from class org.apache.ddlutils.alteration.TableChangeImplBase
`getChangedTable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.ddlutils.alteration.TableChange
`getChangedTable`

Constructor Detail

### ColumnSizeChange

    public ColumnSizeChange(Table table,
                            Column column,
                            int newSize,
                            int newScale)

  Creates a new change object.

  Parameters:
    `table` - The table of the column
    `column` - The column
    `newSize` - The new size
    `newScale` - The new scale

Method Detail

### getChangedColumn

    public Column getChangedColumn()

  Returns the column.

  Specified by:
    `getChangedColumn` in interface `ColumnChange`
  Returns:
    The column

### getNewSize

    public int getNewSize()

  Returns the new size of the column.

  Returns:
    The new size

### getNewScale

    public int getNewScale()

  Returns the new scale of the column.

  Returns:
    The new scale

### apply

    public void apply(Database database,
                      boolean caseSensitive)

  Applies this change to the given database.

  Specified by:
    `apply` in interface `ModelChange`
  Parameters:
    `database` - The database
    `caseSensitive` - Whether the case of names matters

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.